Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfReaderInstance

    java.lang.Object
      com.lowagie.text.pdf.PdfReaderInstance

     class PdfReaderInstance

extends Object

Instance of PdfReader in each output document.

Author:
  Paulo Soares (psoares@consiste.pt)

Field Summary
`(package private) RandomAccessFileOrArray` | `file`
`(package private) static PdfLiteral` | `IDENTITYMATRIX`
`(package private) HashMap` | `importedPages`
`(package private) int[]` | `myXref`
`(package private) ArrayList` | `nextRound`
`(package private) static PdfNumber` | `ONE`
`(package private) PdfReader` | `reader`
`(package private) HashMap` | `visited`
`(package private) PdfWriter` | `writer`

Constructor Summary
`PdfReaderInstance(PdfReader reader, PdfWriter writer)`

Method Summary
`(package private) PdfStream` | `getFormXObject(int pageNumber)`
`(package private) PdfImportedPage` | `getImportedPage(int pageNumber)`
`(package private) int` | `getNewObjectNumber(int number, int generation)`
`(package private) PdfReader` | `getReader()`
`(package private) RandomAccessFileOrArray` | `getReaderFile()`
`(package private) PdfObject` | `getResources(int pageNumber)`
`(package private) void` | `writeAllPages()`
`(package private) void` | `writeAllVisited()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IDENTITYMATRIX

    static final PdfLiteral IDENTITYMATRIX

### ONE

    static final PdfNumber ONE

### myXref

    int[] myXref

### reader

    PdfReader reader

### file

    RandomAccessFileOrArray file

### importedPages

    HashMap importedPages

### writer

    PdfWriter writer

### visited

    HashMap visited

### nextRound

    ArrayList nextRound

Constructor Detail

### PdfReaderInstance

    PdfReaderInstance(PdfReader reader,
                      PdfWriter writer)

Method Detail

### getReader

    PdfReader getReader()

### getImportedPage

    PdfImportedPage getImportedPage(int pageNumber)

### getNewObjectNumber

    int getNewObjectNumber(int number,
                           int generation)

### getReaderFile

    RandomAccessFileOrArray getReaderFile()

### getResources

    PdfObject getResources(int pageNumber)

### getFormXObject

    PdfStream getFormXObject(int pageNumber)
                       throws IOException

  Throws:
    `IOException`

### writeAllVisited

    void writeAllVisited()
                   throws IOException

  Throws:
    `IOException`

### writeAllPages

    void writeAllPages()
                 throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD